transmission (4.1.3+dfsg-1ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/patches
      + Add patch to revendor libb64 (Closes: #1073005)
    - d/control
      + Drop Build-Depends: libb64-dev
    - d/copyright
      + include copyright information for libb64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Jul 2026 10:29:37 +0200

transmission (4.1.3+dfsg-1) unstable; urgency=medium

  * New upstream version 4.1.3+dfsg

 -- Alexandre Rossi <niol@zincube.net>  Tue, 30 Jun 2026 07:33:52 +0200

transmission (4.1.2+dfsg-1ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
  * Remaining changes:
    - d/patches
      + Add patch to revendor libb64 (Closes: #1073005)
    - d/control
      + Drop Build-Depends: libb64-dev
    - d/copyright
      + include copyright information for libb64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jun 2026 11:27:57 +0200

transmission (4.1.2+dfsg-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * Migrate from adduser to sysusers.d/tmpfiles.d

  [ Alexandre Rossi ]
  * New upstream version 4.1.2+dfsg (Closes: #1130779)
  * declare compliance to policy 4.7.4 (no change)
  * adjust qt6-svg-dev build dependency

 -- Alexandre Rossi <niol@zincube.net>  Wed, 03 Jun 2026 08:15:41 +0200

transmission (4.1.1+dfsg-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
  * Remaining changes:
    - d/patches
      + Add patch to revendor libb64 (Closes: #1073005)
    - d/control
      + Drop Build-Depends: libb64-dev
    - d/copyright
      + include copyright information for libb64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 22 Feb 2026 19:54:50 +0100

transmission (4.1.1+dfsg-1) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * uscan v5

  [ Alexandre Rossi ]
  * d/watch: use auto upstream version mangle
  * New upstream version 4.1.1+dfsg
  * d/copyright: document crc32 lib change
  * declare compliance to policy 4.7.3 (remove redundant d/control field)
  * refresh patches
  * d/copyright: remove unused license paragraphs
  * remove unused lintian override

 -- Alexandre Rossi <niol@zincube.net>  Sun, 22 Feb 2026 09:25:08 +0100

transmission (4.1.0+dfsg-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
  * Remaining changes:
    - d/patches
      + Add patch to revendor libb64 (Closes: #1073005)
    - d/control
      + Drop Build-Depends: libb64-dev
    - d/copyright
      + include copyright information for libb64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 31 Jan 2026 19:06:40 +0100

transmission (4.1.0+dfsg-1) unstable; urgency=medium

  * Revert "uscan support file v5" (broken)
  * New upstream version 4.1.0+dfsg

 -- Alexandre Rossi <niol@zincube.net>  Thu, 29 Jan 2026 22:46:04 +0100

transmission (4.1.0~beta5+dfsg-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
  * Remaining changes:
    - d/patches
      + Add patch to revendor libb64 (Closes: #1073005)
    - d/control
      + Drop Build-Depends: libb64-dev
    - d/copyright
      + include copyright information for libb64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Jan 2026 19:31:13 +0100

transmission (4.1.0~beta5+dfsg-1) unstable; urgency=medium

  [ Alexandre Rossi ]
  * New upstream version 4.1.0~beta5+dfsg
  * avoid compiling with dialect cpp20
  * silence compile message leading to blhc false positive
  * drop useless wolfssl build dependency (Closes: #1123052)
  * d/copyright: update regarding qt icons (removed upstream)
  * update use-system-libs.patch to match upstream candidate

  [ Barak A. Pearlmutter ]
  * d/watch: version 5, github template

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 06 Jan 2026 20:28:28 +0000

transmission (4.1.0~beta4+dfsg-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
  * Remaining changes:
    - d/patches
      + Add patch to revendor libb64 (Closes: #1073005)
    - d/control
      + Drop Build-Depends: libb64-dev
    - d/copyright
      + include copyright information for libb64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Dec 2025 17:45:00 +0100

transmission (4.1.0~beta4+dfsg-1) unstable; urgency=medium

  * New upstream version 4.1.0~beta4+dfsg
  * drop libfmt probe fix (applied upstream)
  * update use-system-libs.patch with upstream candidate for the change
  * fix build failure with c++20

 -- Alexandre Rossi <niol@zincube.net>  Fri, 05 Dec 2025 10:51:14 +0100

transmission (4.1.0~beta3+dfsg-1) unstable; urgency=medium

  * New upstream version 4.1.0~beta3+dfsg
  * refresh patches
  * delete upstream'ed patches
  * fix libfmt version probe with libfmt < 11
  * web ui now depends on fast-deep-equal
  * document license of new embedded crc32c lib
  * update web ui source-is-missing lintian-override
  * enable libtransmission test suite

 -- Alexandre Rossi <niol@zincube.net>  Fri, 07 Nov 2025 12:15:04 +0100

transmission (4.1.0~beta2+dfsg-5) unstable; urgency=medium

  * Alexandre Rossi patch for CMake 4 (closes: #1113583)
  * Alexandre Rossi patch for app icon (closes: #1112664)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 03 Sep 2025 18:24:09 +0100

transmission (4.1.0~beta2+dfsg-4) unstable; urgency=medium

  * bump policy (no changes)
  * Alexandre Rossi fr crash avec le clic droit patch (closes: #1108194)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 20 Aug 2025 10:49:50 +0100

transmission (4.1.0~beta2+dfsg-3ubuntu2) resolute; urgency=medium

  * Rebuild against new libminiupnpc21.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Dec 2025 08:47:00 +0100

transmission (4.1.0~beta2+dfsg-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112079).
    * dropped gtkmm-4.15.0 patch as it was addressed upstream. 
  * Remaining changes:
    - d/patches
      + Add patch to revendor libb64 (Closes: #1073005)
    - d/control
      + Drop Build-Depends: libb64-dev
    - d/copyright
      + include copyright information for libb64


 -- John Chittum <john.chittum@canonical.com>  Tue, 24 Jun 2025 11:58:59 -0400

transmission (4.1.0~beta2+dfsg-3) unstable; urgency=medium

  [ Alexandre Rossi ]
  * Patch to fix gtk progress while downloading (Closes: #1105001)

  [ Barak A. Pearlmutter ]
  * Refresh/rephrase patches

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 16 Jun 2025 15:10:01 +0100

transmission (4.1.0~beta2+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Alexandre Rossi <niol@zincube.net>  Mon, 14 Apr 2025 22:13:08 +0200

transmission (4.1.0~beta2+dfsg-1) experimental; urgency=medium

  [ Alexandre Rossi ]
  * force enable of deprecated 3rd-party APIs (fix salsa CI)
  * New upstream version 4.1.0~beta2+dfsg

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 13 Mar 2025 09:37:56 +0000

transmission (4.1.0~beta1+dfsg-1) experimental; urgency=medium

  [ Alessandro Astone ]
  * debian: Add patch to fix build with gtkmm-4.15.0

  [ Alexandre Rossi ]
  * New upstream version 4.1.0~beta1+dfsg
  * remove patches that have been integrated upstream
  * d/watch: search download link using github api instead of guessing
  * refresh patches
  * daemon service file is now installed by upstream, use it
  * new rapidjson-dev builddep
  * document build depend on gtkmm 4.11+
  * prevent build system from messing REVISION file

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 16 Jan 2025 12:38:46 +0000

transmission (4.0.6+dfsg-3ubuntu2) oracular; urgency=medium

  * debian: Add patch to fix build with gtkmm-4.15.0

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 21 Aug 2024 17:12:25 +0200

transmission (4.0.6+dfsg-3ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add patch to revendor libb64 (Closes: #1073005)
    - Drop Build-Depends: libb64-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jul 2024 14:58:16 +0200

transmission (4.0.6+dfsg-3) unstable; urgency=medium

  * fix-up d/copyright
  * fix build with miniupnpc 2.2.8 (Closes: #1076694)

 -- Alexandre Rossi <niol@zincube.net>  Wed, 24 Jul 2024 19:06:03 +0200

transmission (4.0.6+dfsg-2) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * format patches consistently: gbp import/export

  [ Alexandre Rossi ]
  * /usr-move for daemon systemd service (Closes: #1073763)
  * build against qt6 (Closes: #1073004)

 -- Alexandre Rossi <niol@zincube.net>  Wed, 03 Jul 2024 16:01:24 +0200

transmission (4.0.6+dfsg-1ubuntu2) oracular; urgency=medium

  * Rebuild against new libminiupnpc18.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jul 2024 12:47:12 +0200

transmission (4.0.6+dfsg-1ubuntu1) oracular; urgency=medium

  [ Barak A. Pearlmutter ]
  * format patches consistently: gbp import/export

  [ Alexandre Rossi ]
  * /usr-move for daemon systemd service

  [ Jeremy Bícha ]
  * Add patch to revendor libb64 (Closes: #1073005)
  * Drop Build-Depends: libb64-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Jun 2024 14:32:39 -0400

transmission (4.0.6+dfsg-1) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * Forward port patches (removing upstreamed one)
  * Force use of qt5 for now

  [ Alexandre Rossi ]
  * update README for daemon conf file for systemd syntax
  * update WebUI build instructions to use `dataurl` loader for image
  * make it easy to build webui only with make -f debian/rules webui
  * repack upstream tarball and ensure usage of system libraries
  * remove prebuild js from upstream source (now that we repack)
  * New upstream version 4.0.6+dfsg
  * remove fix-build-GTKMM-4 patch (integrated upstream)

 -- Alexandre Rossi <niol@zincube.net>  Thu, 06 Jun 2024 21:41:58 +0200

transmission (4.0.5-3) unstable; urgency=medium

  [ Alexandre Rossi ]
  * fix typo in changelog
  * document patches forwarded state
  * avoid repacking upstream tarball for built web assets
  * enable libtransmission-dev package (Closes: #1001005)
  * upstreamable quilt patch to link with atomic with necessary

  [ Barak A. Pearlmutter ]
  * fix weird whitespace in debian/control
  * gbp import/export normalize/refresh quilt patches

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 22 May 2024 09:33:28 +0100

transmission (4.0.5-2) unstable; urgency=medium

  [ Sandro Tosi ]
  * remove myself from this package maintainership

  [ Barak A. Pearlmutter ]
  * Revert to installing man pages using dh_installmanpages
  * Lintian overrides for Folx
  * Quilt patch for systemd unit file documentation key
  * Quilt patch: disable build-time install of indentation git commit hook
  * Add debian/rules stanza for arch-dependent -latomic (closes: #1067625)
  * Add suggestion pointers to various GUI remotes for controlling the daemon

  [ Alexandre Rossi ]
  * build webapp from source (Closes: #1041519)
  * fix build on bookworm
  * declare compliance to standards 4.7.0 (no change)
  * add some help to the maintenance team
  * fix d/control syntax

 -- Alexandre Rossi <niol@zincube.net>  Sun, 07 Apr 2024 11:05:16 +0200

transmission (4.0.5-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release; Closes: #1040603, #1042027

  [ Chris Boulton ]
  * debian/control
    - update transmission-cli long description; Closes: #1035869

 -- Sandro Tosi <morph@debian.org>  Fri, 19 Jan 2024 02:04:27 -0500

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog transmission-common`.
